Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.support
[Groovy] Class DevelopmentShutdownHook

    java.lang.Object
      org.codehaus.groovy.grails.support.DevelopmentShutdownHook

All Implemented Interfaces:
  org.springframework.context.ApplicationContextAware

    class DevelopmentShutdownHook
    extends java.lang.Object

Registers a shutdown hook to close the application context when CTRL+C is hit in dev mode.

Authors:
  Graeme Rocher

Since:
  1.1.1

Property Summary
`java.lang.Object` | `console`

Method Summary
`void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### console

    java.lang.Object console

Method Detail

### setApplicationContext

    void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

Groovy Documentation